Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.report
Class KflSorter

    java.lang.Object
      com.sun.javatest.report.KflSorter

    public class KflSorter

extends java.lang.Object

Support class to read and process a list of tests and test cases which are known to fail during execution. The intent is to allow better post-run analysis of repetitive test runs, making is easier to find out what has "changed" since the list was made. This class is loosely based on the exclude list, making it easy to interchange the files and tools. File format: Test_URL[Test_Cases] BugID_List The test URL rules are defined elsewhere, but it is critical that the test names do not contain spaces and nothing before the BugID_List has any whitespace. The exact format of the BugID_List must simply conform to being comma separated values, no whitespace or non-printable characters.

Since:
  4.4

Nested Class Summary
`static class` | `KflSorter.TestDiff` Created for each result which somehow does not match what was expected based on the KFL.
`static class` | `KflSorter.Transitions`

Field Summary
`protected int` | `errorCount`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `fail2error`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `fail2fail`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `fail2notrun`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `fail2pass`
`protected KnownFailuresList` | `kfl`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `missing`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `newFailures`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `otherErrors`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `tc_fail2error`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `tc_fail2notrun`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `tc_fail2pass`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `tc_missing`
`protected java.util.TreeSet<KflSorter.TestDiff>` | `tc_newFailures`
`protected int` | `tcErrorCount`
`protected static java.util.regex.Pattern` | `testCasePattern`
`protected TestResultTable` | `trt`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fail2pass

    protected java.util.TreeSet<KflSorter.TestDiff> fail2pass

### fail2error

    protected java.util.TreeSet<KflSorter.TestDiff> fail2error

### fail2notrun

    protected java.util.TreeSet<KflSorter.TestDiff> fail2notrun

### missing

    protected java.util.TreeSet<KflSorter.TestDiff> missing

### newFailures

    protected java.util.TreeSet<KflSorter.TestDiff> newFailures

### otherErrors

    protected java.util.TreeSet<KflSorter.TestDiff> otherErrors

### fail2fail

    protected java.util.TreeSet<KflSorter.TestDiff> fail2fail

### tc_missing

    protected java.util.TreeSet<KflSorter.TestDiff> tc_missing

### tc_fail2pass

    protected java.util.TreeSet<KflSorter.TestDiff> tc_fail2pass

### tc_fail2error

    protected java.util.TreeSet<KflSorter.TestDiff> tc_fail2error

### tc_fail2notrun

    protected java.util.TreeSet<KflSorter.TestDiff> tc_fail2notrun

### tc_newFailures

    protected java.util.TreeSet<KflSorter.TestDiff> tc_newFailures

### kfl

    protected KnownFailuresList kfl

### trt

    protected TestResultTable trt

### errorCount

    protected int errorCount

### tcErrorCount

    protected int tcErrorCount

### testCasePattern

    protected static final java.util.regex.Pattern testCasePattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.